summaryrefslogtreecommitdiffstats
path: root/makesrc.sh
diff options
context:
space:
mode:
Diffstat (limited to 'makesrc.sh')
-rwxr-xr-xmakesrc.sh20
1 files changed, 7 insertions, 13 deletions
diff --git a/makesrc.sh b/makesrc.sh
index 69295c8..f1f6a82 100755
--- a/makesrc.sh
+++ b/makesrc.sh
@@ -1,26 +1,20 @@
#!/bin/bash
NAME=$(sed -n '/^Name:/{s/.* //;p}' *.spec)
-DATE=$(sed -n '/^%global gh_date/{s/.* //;p}' $NAME.spec)
OWNER=$(sed -n '/^%global gh_owner/{s/.* //;p}' $NAME.spec)
PROJECT=$(sed -n '/^%global gh_project/{s/.* //;p}' $NAME.spec)
VERSION=$(sed -n '/^Version:/{s/.* //;p}' $NAME.spec)
-COMMIT=$(sed -n '/^%global gh_commit/{s/.* //;p}' $NAME.spec)
-SHORT=${COMMIT:0:7}
-DATE=$(date -d "$DATE -4 days" +%Y-%m-%d)
-
-if [ -f $NAME-$VERSION-$SHORT.tgz ]; then
- echo "Skip $NAME-$VERSION-$SHORT.tgz"
+if [ -f $NAME-$VERSION.tgz ]; then
+ echo "Skip $NAME-$VERSION.tgz"
else
- echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION, Commit=$COMMIT, Date=$DATE\n"
+ echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION\n"
echo "Cloning..."
- git clone --shallow-since=$DATE https://github.com/$OWNER/$PROJECT.git $PROJECT-$COMMIT || exit 1
+ git clone https://github.com/$OWNER/$PROJECT.git --depth 1 --branch v$VERSION $PROJECT-$VERSION || exit 1
echo "Getting commit..."
- pushd $PROJECT-$COMMIT
- git checkout $COMMIT || exit1
+ pushd $PROJECT-$VERSION
cp composer.json ../
composer config platform.php 8.1.99
@@ -32,9 +26,9 @@ else
popd
echo "Archiving..."
- tar czf $NAME-$VERSION-$SHORT.tgz --exclude .git $PROJECT-$COMMIT
+ tar czf $NAME-$VERSION.tgz --exclude .git $PROJECT-$VERSION
echo "Cleaning..."
- rm -rf $PROJECT-$COMMIT
+ rm -rf $PROJECT-$VERSION
fi